import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';
import { KeysPipe } from '../pipes/keys.pipe';
import { Setting } from '../models/setting';
export declare class OtpInputComponent implements OnInit {
    private keysPipe;
    setting: Setting;
    onValueChange: EventEmitter<any>;
    CounterDirective: any;
    otpForm: FormGroup;
    inputControls: FormControl[];
    componentKey: string;
    counter: number;
    constructor(keysPipe: KeysPipe);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private getControlName;
    isLeftArrow(e: any): boolean;
    isRightArrow(e: any): boolean;
    isBackspaceOrDelete(e: any): boolean;
    isKeyCode(e: any, targetCode: any): boolean;
    keyUp(e: any, inputIdx: number): void;
    appendKey(id: any): string;
    setSelected(eleId: any): void;
    isValidEntry(e: any): boolean;
    focusTo(eleId: any): void;
    rebuildValue(): void;
    onCounterChange(e: any): void;
    ressendOtp(): void;
    formatSecsToMins(time: any): string;
}
